Subject: Client Hints and Fingerprinting

From: Yoav Weiss <[email-masked]>
Date: Mon, 20 May 2019 09:34:54 +0200

Hey folks,

During the HTTPWG meeting in Prague, there were claims that Client-Hints as
an infrastructure increases passive fingerprinting surface for browsers and
potentially other HTTP clients. I claimed that it is not the case, but we
didn't really reach resolution on the matter.

I tried to sum up both views on issue 786
<https://github.com/httpwg/http-extensions/issues/786>. Please chime in if
you have opinions on the matter. I'd like to verify that a) I captured the
concerns raised correctly and b) the mitigations indeed address them.

Thanks! :)
Yoav